org.glassfish.jersey.server

## Interface ServerConfig

All Superinterfaces:
  jakarta.ws.rs.core.Configuration, ExtendedConfig

All Known Implementing Classes:
  ResourceConfig

    public interface ServerConfig
    extends ExtendedConfig

Server-side application configuration.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<Resource>` `getResources()` Get programmatically modeled resources.

### Methods inherited from interface org.glassfish.jersey.ExtendedConfig

`isProperty`

### Methods inherited from interface jakarta.ws.rs.core.Configuration

`getClasses, getContracts, getInstances, getProperties, getProperty, getPropertyNames, getRuntimeType, isEnabled, isEnabled, isRegistered, isRegistered`

### Method Detail

#### getResources

    Set<Resource> getResources()

Get programmatically modeled resources.

Returns:
  programmatically modeled resources.